TransactionManagerServices (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm
Class TransactionManagerServices

    java.lang.Object
      bitronix.tm.TransactionManagerServices

    public class TransactionManagerServices

extends Object

Container for all BTM services.

The different services available are: `BitronixTransactionManager`, `BitronixTransactionSynchronizationRegistry` `Configuration`, `Journal`, `TaskScheduler`, `ResourceLoader`, `Recoverer` and `Executor`. They are used in all places of the TM so they must be globally reachable.

Author:
  lorban

Constructor Summary
`TransactionManagerServices()`

Method Summary
`protected static void` | `clear()` Clear services references.
`static Configuration` | `getConfiguration()` Create the configuration of all the components of the transaction manager.
`static ExceptionAnalyzer` | `getExceptionAnalyzer()` Create the exception analyzer.
`static Executor` | `getExecutor()` Create the 2PC executor.
`static Journal` | `getJournal()` Create the transactions journal.
`static Recoverer` | `getRecoverer()` Create the transaction recoverer.
`static ResourceLoader` | `getResourceLoader()` Create the resource loader.
`static TaskScheduler` | `getTaskScheduler()` Create the task scheduler.
`static BitronixTransactionManager` | `getTransactionManager()` Create an initialized transaction manager.
`static BitronixTransactionSynchronizationRegistry` | `getTransactionSynchronizationRegistry()` Create the JTA 1.1 TransactionSynchronizationRegistry.
`static boolean` | `isTaskSchedulerRunning()` Check if the task scheduler has started.
`static boolean` | `isTransactionManagerRunning()` Check if the transaction manager has started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionManagerServices

    public TransactionManagerServices()

Method Detail

### getTransactionManager

    public static BitronixTransactionManager getTransactionManager()

  Create an initialized transaction manager.

  Returns:
    the transaction manager.

### getTransactionSynchronizationRegistry

    public static BitronixTransactionSynchronizationRegistry getTransactionSynchronizationRegistry()

  Create the JTA 1.1 TransactionSynchronizationRegistry.

  Returns:
    the TransactionSynchronizationRegistry.

### getConfiguration

    public static Configuration getConfiguration()

  Create the configuration of all the components of the transaction manager.

  Returns:
    the global configuration.

### getJournal

    public static Journal getJournal()

  Create the transactions journal.

  Returns:
    the transactions journal.

### getTaskScheduler

    public static TaskScheduler getTaskScheduler()

  Create the task scheduler.

  Returns:
    the task scheduler.

### getResourceLoader

    public static ResourceLoader getResourceLoader()

  Create the resource loader.

  Returns:
    the resource loader.

### getRecoverer

    public static Recoverer getRecoverer()

  Create the transaction recoverer.

  Returns:
    the transaction recoverer.

### getExecutor

    public static Executor getExecutor()

  Create the 2PC executor.

  Returns:
    the 2PC executor.

### getExceptionAnalyzer

    public static ExceptionAnalyzer getExceptionAnalyzer()

  Create the exception analyzer.

  Returns:
    the exception analyzer.

### isTransactionManagerRunning

    public static boolean isTransactionManagerRunning()

  Check if the transaction manager has started.

  Returns:
    true if the transaction manager has started.

### isTaskSchedulerRunning

    public static boolean isTaskSchedulerRunning()

  Check if the task scheduler has started.

  Returns:
    true if the task scheduler has started.

### clear

    protected static void clear()

  Clear services references. Called at the end of the shutdown procedure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.